lib = File.expand_path('../lib', __FILE__)

$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)

require 'drone/builds/version'

Gem::Specification.new do |spec|
  spec.name          = 'drone-builds'
  spec.version       = Drone::Builds::VERSION
  spec.authors       = ['Dorian Marié']
  spec.email         = ['dorian@doma.io']

  spec.summary       = 'Command line interface to Drone'
  spec.description   = 'List builds, print realtime output, view previous outputs, filter outputs'
  spec.homepage      = 'https://github.com/Dorian/drone-builds'
  spec.license       = 'MIT'

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = 'exe'
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

  spec.add_runtime_dependency 'colorize', '~> 0'
  spec.add_runtime_dependency 'home-dotenv', '~> 0.0.5'
  spec.add_runtime_dependency 'json', '~> 2'
  spec.add_runtime_dependency 'terminal-table', '~> 1'
  spec.add_runtime_dependency 'thor', '~> 0'
  spec.add_development_dependency 'bundler', '~> 1'
  spec.add_development_dependency 'rake', '~> 12'
  spec.add_development_dependency 'rspec', '~> 3'
  spec.add_development_dependency 'pry', '~> 0'
end
